Subject: [tsvwg] Why measure RTT passively?

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Tue, 21 Aug 2018 14:42:58 +0200

Greetings, TSVWG, QUIC, and IPPM,

I've just submitted a new I-D, "Why do we need passive measurement of round trip time?" (https://tools.ietf.org/html/draft-trammell-why-measure-rtt-00), which may be of some interest to each of these WGs. :) It presents a set of use cases for on-path passive RTT measurement, both generally, and specific to the facility described in "A Transport-Independent Explicit Signal for Hybrid RTT Measurement" (https://tools.ietf.org/html/draft-trammell-tsvwg-spin-00), or the "spin bit".

- For QUIC, this draft addresses the second half of the risk/utility question raised by the spin bit and spin+VEC latency signal -- much of the content comes from the original QUIC spin bit document, but there are new sections on using VEC for loss/reordering proxy metrics and exploiting correlations between RTT and other metrics to drive intraflow diagnostics from only RTT signals. In particular, I'll talk about ongoing experimentation along the lines of section 3 at the interim in New York.

- For TSVWG and tsvarea, it addresses some of the "why design wire images" questions raised in the tsvarea meeting in Montreal, with respect to the specific tasks for which RTT data is useful.

- And for IPPM, it gives a bit more background on the "passive RTT" metric in the initial registry document.

Feedback is much appreciated. :)

Thanks, cheers,

Brian (as an individual contributor)

P.S. apologies for the resend: the previous message was not an obscure joke about ubiquitous encryption: apparently the interaction among my MUA, its bolt-on GPG, and the somewhat underprovisioned network in SIGCOMM led to an encrypted draft being posted to the list. :/